<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@description
@version 2.0
CU: Notificar por edicto
página principal 

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Notificación por edicto::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog2.show();"
                      onsuccess="statusDialog2.hide();"
                      onerror="alert('Error AJAX en la aplicación');" />

        <p:spacer height="20" width="0" />

        <h:form prependId="false" id="notificarPorEdictoForm">

            <p:focus context="notificarPorEdictoForm" />
            <p:panel header="Identificación del trámite" toggleable="true">
                <p:spacer height="10" width="0" />
                <h:panelGrid columns="6" width="80%" cellpadding="10">
                    <h:outputLabel value="Número de solicitud: "
                                   styleClass="outputLabelStyle" />
                    <p:commandLink styleClass="commandLinkStyle"
                                   oncomplete="statusDialog2.hide();detalleSolicitudEjecutarWV.show();"
                                   onstart="statusDialog2.show();" process="@this">
                        <h:outputText
                            value="#{notificacionPorEdicto.currentTramite.solicitud.numero}"
                            styleClass="outputTextStyle" />
                        <f:setPropertyActionListener
                            value="#{notificacionPorEdicto.currentTramite.solicitud}"
                            target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                    </p:commandLink>

                    <h:outputLabel value="Número de radicación: "
                                   styleClass="outputLabelStyle" />
                    <p:commandLink styleClass="commandLinkStyle"
                                   oncomplete="statusDialog2.hide();detalleTramiteEjecutarWV.show();"
                                   process="@this" onstart="statusDialog2.show();"
                                   value="#{notificacionPorEdicto.currentTramite.numeroRadicacion}">
                        <f:setPropertyActionListener
                            value="#{notificacionPorEdicto.currentTramite}"
                            target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                    </p:commandLink>

                    <h:outputLabel value="Fecha de radicación: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{notificacionPorEdicto.currentTramite.fechaRadicacion}"
                        styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFecha}" type="date" />
                    </h:outputText>

                    <h:outputLabel value="Tipo de trámite: "
                                   styleClass="outputLabelStyle" />
                    <h:panelGroup>
                        <h:outputText
                            value="#{notificacionPorEdicto.currentTramite.tipoTramite}"
                            id="TramiteTipoTramiteV" styleClass="outputTextStyle">
                            <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                        </h:outputText>
                        <p:spacer width="5" height="0" />
                        <h:outputText
                            value="#{notificacionPorEdicto.currentTramite.claseMutacion}"
                            id="MutacionClase" styleClass="outputTextStyle">
                            <f:converter converterId="converterCB" for="MutacionClase" />
                        </h:outputText>
                        <p:spacer width="5" height="0" />
                        <h:outputText
                            value="#{notificacionPorEdicto.currentTramite.subtipo}"
                            id="SubtipoMutacionSClase" styleClass="outputTextStyle"
                            rendered="#{notificacionPorEdicto.currentTramite.claseMutacion eq '2'}">
                            <f:converter converterId="converterCB"
                                         for="SubtipoMutacionSClase" />
                        </h:outputText>
                        <p:spacer width="5" height="0" />
                        <h:outputText
                            value="#{notificacionPorEdicto.currentTramite.subtipo}"
                            id="SubtipoMutacionQClase" styleClass="outputTextStyle"
                            rendered="#{notificacionPorEdicto.currentTramite.claseMutacion eq '5'}">
                            <f:converter converterId="converterCB"
                                         for="SubtipoMutacionQClase" />
                        </h:outputText>

                        <p:spacer width="30" height="0" />

                    </h:panelGroup>

                    <h:outputLabel value="Derecho Petición/Tutela: "
                                   styleClass="outputLabelStyle" />
                    <p:commandLink styleClass="commandLinkStyleInTable"
                                   oncomplete="detalleSolicitudEjecutarWV.show();"
                                   update=":detalleSolicitudEjecutarForm" process="@this">
                        <h:outputText
                            value="#{notificacionPorEdicto.currentTramite.formaPeticionTramite}" />
                        <f:setPropertyActionListener
                            value="#{notificacionPorEdicto.currentTramite.solicitud}"
                            target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                    </p:commandLink>

                    <h:outputLabel value="Resolución: "
                                   styleClass="outputLabelStyle" />

                    <p:commandLink
                        value="#{notificacionPorEdicto.currentTramite.resultadoDocumento.numeroDocumento}"     
                        update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                        oncomplete="docViewerWV.show();statusDialog2.hide()"
                        onstart="statusDialog2.show()"
                        action="#{vistaDetallesTramite.cargarDocumentoTemporalPrev}">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoAlfresco}"
                            value="#{notificacionPorEdicto.currentTramite.resultadoDocumento}" />
                    </p:commandLink>

                </h:panelGrid>
            </p:panel>
            <p:messages id="msgsNPE" showDetail="false" globalOnly="false" />
        </h:form>

        <p:spacer height="10" width="0" />
        <h:form prependId="false" id="edictoForm">

            <h:panelGrid columns="2" width="80%">
                <h:panelGrid columns="4" cellpadding="5">
                    <h:outputLabel value="Fecha de fijación del aviso: "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    <p:calendar id="fechaFijacionEdicto" effect="explode"
                                maxdate="#{notificacionPorEdicto.fechaHoy}" locale="es_CO" title="#{general.formatoFechaUsuario}"
                                value="#{notificacionPorEdicto.fechaFijacionEdicto}"
                                navigator="true" label="Fecha de fijación del aviso"
                                showOn="both" showButtonPanel="true"
                                pattern="#{general.formatoFechaHora}" timeZone="GMT-5">
                    </p:calendar>
                </h:panelGrid>


            </h:panelGrid>

            <p:spacer height="10" width="0" />

            <p:fieldset legend="Solicitantes">
                <p:spacer height="10" width="0" />
                <p:dataTable
                    value="#{notificacionPorEdicto.solicitantesNotificacionPorEdicto}"
                    var="solicitante" id="solicitantesTramiteDT"
                    rowKey="#{solicitante.id}"
                    widgetVar="solicitantesTramiteDTWV" paginator="true" rows="10"
                    paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                    paginatorPosition="bottom" rowsPerPageTemplate="10,20,30,100"
                    selection="#{notificacionPorEdicto.solicitantesSelecionados}"
                    emptyMessage="No se encontraron solicitantes">

                    <p:column selectionMode="multiple" style="width:16px;text-align:center"/>

                    <p:column headerText="Nombre completo / Razón social">
                        <h:outputText value="#{solicitante.nombreCompleto}" />
                    </p:column>

                    <p:column headerText="Tipo documento">
                        <h:outputText value="#{solicitante.tipoIdentificacion}" />
                    </p:column>

                    <p:column headerText="Número de identificación">
                        <h:outputText value="#{solicitante.numeroIdentificacion}" />
                    </p:column>

                    <p:column headerText="Tipo solicitante">
                        <h:outputText value="#{solicitante.relacion}" />
                    </p:column>
                    <p:column headerText="Dirección">
                        <h:outputText value="#{solicitante.direccion}" />
                    </p:column>
                    <p:column headerText="Fecha fijación aviso">
                        <h:outputText value="#{solicitante.documentoNotificacion.fechaFijacionEdicto}">
                            <f:convertDateTime pattern="#{general.formatoFecha}" type="date" />
                        </h:outputText>
                    </p:column>
                    <p:column headerText="Fecha desfijación aviso">
                        <h:outputText value="#{solicitante.documentoNotificacion.fechaDesfijacionEdicto}">
                            <f:convertDateTime pattern="#{general.formatoFecha}" type="date" />
                        </h:outputText>
                    </p:column>
                    <p:column headerText="Notificado a la dirección">
                        <h:outputText value="#{solicitante.notificadoPorDireccion}" />
                    </p:column>

                </p:dataTable>

            </p:fieldset>

            <p:spacer height="10" width="0" />

            <p:outputPanel layout="block" style="text-align: center">
                <p:commandButton value="Generar aviso" id="generarEdictoBtn"
                                 icon="ui-icon-script"
                                 style="width:100px;height:25px;"
                                 action="#{notificacionPorEdicto.validarGeneracionEdicto}"
                                 update=":notificarPorEdictoForm:msgsNPE, :confirmacionGenerarAviso"
                                 oncomplete="handleCompleteSIC(xhr, status, args, avisoDireccionWV, true); statusDialog2.hide();"
                                 onstart="statusDialog2.show();" />
                <p:spacer width="50" />
                <p:commandButton value="Ver aviso" id="verEdictoBtn"
                                 icon="ui-icon-search" process="@this, edictoForm:solicitantesTramiteDT"
                                 style="width:100px;height:25px;"
                                 action="#{notificacionPorEdicto.validarVerEdicto}"
                                 update=":viewReport:vistaMemoForm, :notificarPorEdictoForm:msgsNPE"
                                 oncomplete="handleCompleteSIC(xhr, status, args, visorReporteWV, true); statusDialog2.hide();"
                                 onstart="statusDialog2.show();" />
                <p:spacer width="50" />
                <p:commandButton value="Registrar aviso" id="registrarAvisoBtn"
                                 icon="ui-icon-calculator"
                                 style="width:100px;height:25px;" process="@this, edictoForm:solicitantesTramiteDT"
                                 action="#{notificacionPorEdicto.validarRegistroEdicto}"
                                 update=":registroAvisoDlg, :notificarPorEdictoForm:msgsNPE"
                                 oncomplete="handleCompleteSIC(xhr, status, args, registroAvisoWV, true); statusDialog2.hide();"
                                 onstart="statusDialog2.show();" />
            </p:outputPanel>

            <p:spacer height="20" width="0" />
            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 style="width:100px;height:25px;"
                                 action="#{notificacionPorEdicto.closeCUWindow}" update="msgsNPE"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />

        </h:form>

        <p:dialog header="Aviso"
                  widgetVar="avisoDireccionWV" appendToBody="true" modal="true"
                  height="100" width="250">
            <h:form>

                <p:spacer height="10"  />
                <p:fieldset >

                    <h:panelGrid columns="2">

                        <h:outputText value="Con dirección: " class="outputLabelStyle" />
                        <p:selectBooleanCheckbox value="#{notificacionPorEdicto.banderaConDireccion}" />

                    </h:panelGrid>
                    <p:spacer height="10" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <p:commandButton value="Aceptar"
                                         style="width:100px;height:25px;"
                                         action="#{notificacionPorEdicto.determinarMensajeConfirmacion}" update=":confirmacionGenerarAviso"
                                         oncomplete="confirmacionGenerarAvisoWV.show(); avisoDireccionWV.hide();"
                                         icon="ui-icon-check"  />

                    </p:outputPanel>

                </p:fieldset>
            </h:form>

        </p:dialog>

        <p:confirmDialog appendToBody="true" id="confirmacionGenerarAviso"
                         message="Generación aviso" width="300"
                         header="Confirmación" severity="alert"
                         widgetVar="confirmacionGenerarAvisoWV">
            <h:form >
                <p:spacer height="20"  />
                <h:outputText value="#{notificacionPorEdicto.mensajeConfirmaEdicto}" class="outputLabelStyle" />
                <p:spacer height="20"  />
                <p:outputPanel layout="block" style="text-align:center">


                    <p:commandButton value="Aceptar"
                                     update=":viewReport:vistaMemoForm" process="@this"
                                     action="#{notificacionPorEdicto.generarEdictoOpcional}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); confirmacionGenerarAvisoWV.hide(); visorReporteWV.show();"
                                     icon="ui-icon-check" />
                    <p:spacer width="10" />
                    <p:commandButton value="Cancelar" icon="ui-icon-close"
                                     onclick="confirmacionGenerarAvisoWV.hide()" type="button" />
                </p:outputPanel>
                <p:spacer height="20"  />
            </h:form>
        </p:confirmDialog>

        <p:dialog header="Registro del aviso" id="registroAvisoDlg"
                  dynamic="true" widgetVar="registroAvisoWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  width="650" height="370">
            <ui:include src="registroAviso.xhtml" />
        </p:dialog>

        <misc:visualizadorMemorandosCC
            id="viewReport"
            thisWVName="visorReporteWV"
            urlDocumento="#{notificacionPorEdicto.reporteNotificacionPorEdicto.urlWebReporte}"
            fileContent="#{notificacionPorEdicto.reporteNotificacionPorEdicto.streamedContentReporte}"
            documentoGenerado="#{notificacionPorEdicto.reporteNotificacionPorEdicto ne null}"
            radicarButtonEnabled="true"
            radicarButtonVisible="#{notificacionPorEdicto.banderaConDireccion}"
            radicarButtonAction="#{notificacionPorEdicto.radicarEdictoConDireccion}"
            cancelButtonVisible="false"
            componentsToUpdateOnClose=":edictoForm:generarEdictoBtn, :edictoForm:verEdictoBtn, :edictoForm:solicitantesTramiteDT"
            cancelButtonEnabled="true"/>

        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudEjecutarWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include
                src="../../conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="../../conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <p:dialog header="Número Predial Anterior"
                  widgetVar="numPredAnteriorDlg" appendToBody="true" modal="true"
                  height="500" width="800">
            <ui:include src="../consultarNumeroPredialAnterior.xhtml" />
        </p:dialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

    </ui:define>

</ui:composition>

